Bug 109464 - ACPI causes kernel panic on Abit VP6 if CONFIG_DEBUG_SLAB=n
ACPI causes kernel panic on Abit VP6 if CONFIG_DEBUG_SLAB=n
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-11-07 20:45 EST by Ian Pilcher
Modified: 2015-01-04 17:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 15:37:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of dmidecode (running 2.4.22-1.2111.nptlsmp) (12.82 KB, text/plain)
2003-11-07 23:16 EST, Ian Pilcher
no flags Details
kernel oops output (2.16 KB, text/plain)
2003-11-10 15:37 EST, Ian Pilcher
no flags Details

  None (edit)
Description Ian Pilcher 2003-11-07 20:45:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
Booting the Fedora Core 1 SMP kernel with "acpi=on" causes a kernel
panic.  This is a regression from the Fedora Core test releases.  ACPI
is required for proper interrupt routing on this board (see bug #92417).

I have tried both "acpi=ht" and "pci=acpi".  These options both give
me the non-ACPI behavior (the system boots, but USB devices aren't

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  Boot Fedora Core 1 SMP kernel with "acpi=on".

Actual Results:  Kernel panic

Expected Results:  No kernel panic; USB devices should be recognized.

Additional info:

Bug #92417 has a bunch of information about this system.
Comment 1 Ian Pilcher 2003-11-07 22:16:27 EST
kernel-smp-2.4.22-1.2111.nptl works like a champ with "acpi=on".
Comment 2 Ian Pilcher 2003-11-07 23:16:15 EST
Created attachment 95816 [details]
Output of dmidecode (running 2.4.22-1.2111.nptlsmp)
Comment 3 Dave Jones 2003-11-10 12:14:04 EST
Can you dump the oops here too ?
Comment 4 Ian Pilcher 2003-11-10 15:37:36 EST
Created attachment 95887 [details]
kernel oops output
Comment 5 Ian Pilcher 2003-12-02 03:13:39 EST
This bug (along with bug #92417) still exists on 2.4.22-1.2129.nptlsmp. 

Keeping in mind that this is a regression, what can I do so that I'm
not stuck running 2.4.22-1.2111.nptlsmp forever?
Comment 6 Ian Pilcher 2003-12-03 01:22:46 EST
This is weird.  The oops appears to be caused by the fact that
CONFIG_DEBUG_SLAB is turned off in 2115.  It was on in 2111.
Comment 7 Len Brown 2004-03-24 14:11:39 EST
So CONFIG_DEBUG_SLAB=y makes the oops go away.
Still true on updated kernel?
Comment 8 David Lawrence 2004-09-29 15:37:36 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.